Index: modules/open-science-observatory-ui/trunk/src/app/pages/continentoverview/continent-overview.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/continentoverview/continent-overview.component.ts	(revision 58852)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/continentoverview/continent-overview.component.ts	(revision 58853)
@@ -1,7 +1,9 @@
 import { Component, OnInit } from '@angular/core';
-import {ActivatedRoute} from '@angular/router';
-import {DomSanitizer} from '@angular/platform-browser';
-import {DataService} from '../../services/data.service';
+import { ActivatedRoute } from '@angular/router';
+import { DomSanitizer } from '@angular/platform-browser';
+import { DataService } from '../../services/data.service';
+import { DataHandlerService } from '../../services/data-handler.service';
+import { EuropeData } from '../../domain/overview-map-data';
 
 @Component({
   selector: 'app-continent-overview',
@@ -12,11 +14,79 @@
 
   continentName: string;
 
+  europeOverviewData: EuropeData;
+
   constructor(private dataService: DataService,
+              private dataHandlerService: DataHandlerService,
               private route: ActivatedRoute,
               private sanitizer: DomSanitizer) { }
 
   ngOnInit(): void {
     this.continentName = this.route.snapshot.paramMap.get('continentName');
+
+    this.dataService.getEuropeOAPercentages().subscribe(
+      rawData => {
+        this.europeOverviewData = this.dataHandlerService.convertRawDataToEuropeOverviewData(rawData);
+      }, error => {
+        console.log(error);
+      }
+    );
   }
+
+  getHeight(percentage: number) {
+    if (percentage < 50) {
+      return Math.round(percentage) * 1.5;
+    } else {
+      return Math.round(percentage);
+    }
+  }
+
+  getNumberFontSize(percentage: number) {
+    if (percentage < 50) {
+      return Math.round(percentage * 45 / 100) * 1.5;
+    } else {
+      return Math.round(percentage * 45 / 100);
+    }
+  }
+
+  getEntityNameFontSize(percentage: number) {
+    if (percentage < 50) {
+      return Math.round(percentage * 30 / 100) * 1.5;
+    } else {
+      return Math.round(percentage * 30 / 100);
+    }
+  }
+
+  getPublicationsIconWidth(percentage: number) {
+    if (percentage < 50) {
+      return Math.round(percentage * 60 / 100) * 1.5;
+    } else {
+      return Math.round(percentage * 60 / 100);
+    }
+  }
+
+  getDatasetsIconWidth(percentage: number) {
+    if (percentage < 50) {
+      return Math.round(percentage * 45 / 100) * 1.5;
+    } else {
+      return Math.round(percentage * 45 / 100);
+    }
+  }
+
+  getSoftwareIconWidth(percentage: number) {
+    if (percentage < 50) {
+      return Math.round(percentage * 50 / 100) * 1.5;
+    } else {
+      return Math.round(percentage * 50 / 100);
+    }
+  }
+
+  getOtherIconWidth(percentage: number) {
+    if (percentage < 50) {
+      return Math.round(percentage * 45 / 100) * 1.5;
+    } else {
+      return Math.round(percentage * 45 / 100);
+    }
+  }
+
 }
Index: modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts	(revision 58852)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts	(revision 58853)
@@ -42,6 +42,8 @@
 
   joinedPublicationsMap: Map<string, JoinedMapData>;
   joinedDatasetsMap: Map<string, JoinedMapData>;
+  joinedRepositoriesMap: Map<string, JoinedMapData>;
+  joinedJournalsMap: Map<string, JoinedMapData>;
 
   constructor(private dataService: DataService,
               private dataHandlerService: DataHandlerService,
@@ -62,6 +64,8 @@
         this.overviewMapData = this.dataHandlerService.convertRawMapDataToMapData(rawData);
         this.joinedPublicationsMap = this.dataHandlerService.createJoinedPublicationsCountryMap(rawData);
         this.joinedDatasetsMap = this.dataHandlerService.createJoinedDatasetsCountryMap(rawData);
+        this.joinedRepositoriesMap = this.dataHandlerService.createJoinedRepositoriesCountryMap(rawData);
+        this.joinedJournalsMap = this.dataHandlerService.createJoinedJournalsCountryMap(rawData);
 
         // console.log('Country map data', this.overviewMapData[this.activeView]);
         this.loadMap(this.overviewMapData[this.activeView], this.seriesColor, this.seriesColor);
@@ -329,6 +333,10 @@
         '<span class="number">' + params.data.value[2].toLocaleString() + '</span>' +
         '<span><i>repositories</i> from <br>openDOAR & re3data</span></div>';
 
+      tooltip += '<div class="indicator uk-margin-small-top">' +
+        '<span class="number">' + this.joinedRepositoriesMap.get(params.name).simple.toLocaleString() + '</span>' +
+        '<span><i>repositories</i></span></div>';
+
       tooltip += '</div>';
 
     } else if (this.activeView === 'journals') {
@@ -336,8 +344,12 @@
       tooltip += '<div class="numbers">';
       tooltip += '<div class="indicator">' +
         '<span class="number">' + params.data.value[2].toLocaleString() + '</span>' +
-        '<span><i>journals</i> from <br>DOAJ</span></div>';
+        '<span><i>journals</i> from DOAJ</span></div>';
 
+      tooltip += '<div class="indicator uk-margin-small-top">' +
+        '<span class="number">' + this.joinedJournalsMap.get(params.name).simple.toLocaleString() + '</span>' +
+        '<span><i>journals</i></span></div>';
+
       tooltip += '</div>';
 
     } else {
Index: modules/open-science-observatory-ui/trunk/src/app/pages/home/data-view.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/home/data-view.component.ts	(revision 58852)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/home/data-view.component.ts	(revision 58853)
@@ -22,7 +22,8 @@
   tableAbsoluteData: CountryTableData[];
   tablePercentageData: CountryTableData[];
 
-  loading: boolean = true;
+  loadingAbsoluteTable: boolean = true;
+  loadingPercentageTable: boolean = true;
 
   oaPublicationsURL: SafeResourceUrl;
   oaRepositoriesURL: SafeResourceUrl;
@@ -37,30 +38,31 @@
 
   ngOnInit(): void {
     this.getAbsoluteData();
+    this.getPercentageData();
   }
 
   getAbsoluteData() {
-    this.loading = true;
+    this.loadingAbsoluteTable = true;
     this.dataService.getOverviewTableAbsoluteData(this.contentAbsoluteSelection).subscribe(
       rawData => {
         this.tableAbsoluteData = this.dataHandlerService.convertRawDataToAbsoluteTableData(rawData);
-        this.loading = false;
+        this.loadingAbsoluteTable = false;
       }, error => {
         console.log(error);
-        this.loading = false;
+        this.loadingAbsoluteTable = false;
       }
     );
   }
 
   getPercentageData() {
-    this.loading = true;
-    this.dataService.getOverviewTableAbsoluteData(this.contentPercentageSelection).subscribe(
+    this.loadingPercentageTable = true;
+    this.dataService.getOverviewTablePercentageData(this.contentPercentageSelection).subscribe(
       rawData => {
-        this.tablePercentageData = this.dataHandlerService.convertRawDataToAbsoluteTableData(rawData);
-        this.loading = false;
+        this.tablePercentageData = this.dataHandlerService.convertRawDataToPercentageTableData(rawData);
+        this.loadingPercentageTable = false;
       }, error => {
         console.log(error);
-        this.loading = false;
+        this.loadingPercentageTable = false;
       }
     );
   }
Index: modules/open-science-observatory-ui/trunk/src/app/services/data-handler.service.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/services/data-handler.service.ts	(revision 58852)
+++ modules/open-science-observatory-ui/trunk/src/app/services/data-handler.service.ts	(revision 58853)
@@ -1,6 +1,13 @@
 import { Injectable } from '@angular/core';
 import { RawData, Row } from '../domain/raw-data';
-import {CountryOverviewData, CountryMapData, EuropeData, OverviewMapData, CountryTableData} from '../domain/overview-map-data';
+import {
+  CountryOverviewData,
+  CountryMapData,
+  EuropeData,
+  OverviewMapData,
+  CountryTableData,
+  CountryPageOverviewData
+} from '../domain/overview-map-data';
 import {Indicator} from '../domain/overview-data';
 
 @Injectable ()
@@ -16,9 +23,9 @@
         overviewMapData.publications = this.rawResultToCountryMapData(series.series.result);
       } else if (series.series.query.name === 'new.oso.datasets.affiliated') {
         overviewMapData.datasets = this.rawResultToCountryMapData(series.series.result);
-      } else if (series.series.query.name === 'new.oso.repositories') {
+      } else if (series.series.query.name === 'new.oso.repositories.doar_re3data') {
         overviewMapData.repositories = this.rawResultToCountryMapData(series.series.result);
-      } else if (series.series.query.name === 'new.oso.journals') {
+      } else if (series.series.query.name === 'new.oso.journals.doaj') {
         overviewMapData.journals = this.rawResultToCountryMapData(series.series.result);
       } else if (series.series.query.name === 'new.oso.oa_policies') {
         overviewMapData.policies = this.rawResultToCountryMapData(series.series.result);
@@ -105,6 +112,82 @@
 
   }
 
+  public createJoinedRepositoriesCountryMap(rawData: RawData) {
+
+    const joinedRepositoriesMap = new Map();
+
+    for (const series of rawData.datasets) {
+      if (series.series.query.name === 'new.oso.repositories.doar_re3data') {
+
+        for (const rowResult of series.series.result) {
+          if (joinedRepositoriesMap.has(rowResult.row[1])) {
+            const simple = joinedRepositoriesMap.get(rowResult.row[1]).simple;
+            joinedRepositoriesMap.delete(rowResult.row[1]);
+            joinedRepositoriesMap.set(rowResult.row[1], {countryName: rowResult.row[1], countryCode: rowResult.row[2],
+              doar_re3data: Number(rowResult.row[0]), simple: simple});
+          } else {
+            joinedRepositoriesMap.set(rowResult.row[1], {countryName: rowResult.row[1], countryCode: rowResult.row[2],
+              doar_re3data: Number(rowResult.row[0]), simple: 0});
+          }
+        }
+
+      } else if (series.series.query.name === 'new.oso.repositories') {
+
+        for (const rowResult of series.series.result) {
+          if (joinedRepositoriesMap.has(rowResult.row[1])) {
+            const doar_re3data = joinedRepositoriesMap.get(rowResult.row[1]).doar_re3data;
+            joinedRepositoriesMap.delete(rowResult.row[1]);
+            joinedRepositoriesMap.set(rowResult.row[1], {countryName: rowResult.row[1], countryCode: rowResult.row[2],
+              doar_re3data: doar_re3data, simple: Number(rowResult.row[0])});
+          }
+          joinedRepositoriesMap.set(rowResult.row[1], { countryName: rowResult.row[1], countryCode: rowResult.row[2],
+            doar_re3data: 0, simple: Number(rowResult.row[0])});
+        }
+      }
+    }
+
+    return joinedRepositoriesMap;
+
+  }
+
+  public createJoinedJournalsCountryMap(rawData: RawData) {
+
+    const joinedJournalsMap = new Map();
+
+    for (const series of rawData.datasets) {
+      if (series.series.query.name === 'new.oso.journals.doaj') {
+
+        for (const rowResult of series.series.result) {
+          if (joinedJournalsMap.has(rowResult.row[1])) {
+            const simple = joinedJournalsMap.get(rowResult.row[1]).simple;
+            joinedJournalsMap.delete(rowResult.row[1]);
+            joinedJournalsMap.set(rowResult.row[1], {countryName: rowResult.row[1], countryCode: rowResult.row[2],
+              doaj: Number(rowResult.row[0]), simple: simple});
+          } else {
+            joinedJournalsMap.set(rowResult.row[1], {countryName: rowResult.row[1], countryCode: rowResult.row[2],
+              doaj: Number(rowResult.row[0]), simple: 0});
+          }
+        }
+
+      } else if (series.series.query.name === 'new.oso.journals') {
+
+        for (const rowResult of series.series.result) {
+          if (joinedJournalsMap.has(rowResult.row[1])) {
+            const doaj = joinedJournalsMap.get(rowResult.row[1]).doaj;
+            joinedJournalsMap.delete(rowResult.row[1]);
+            joinedJournalsMap.set(rowResult.row[1], {countryName: rowResult.row[1], countryCode: rowResult.row[2],
+              doaj: doaj, simple: Number(rowResult.row[0])});
+          }
+          joinedJournalsMap.set(rowResult.row[1], { countryName: rowResult.row[1], countryCode: rowResult.row[2],
+            doaj: 0, simple: Number(rowResult.row[0])});
+        }
+      }
+    }
+
+    return joinedJournalsMap;
+
+  }
+
   public convertRawDataToCountryOverviewData(rawData: RawData) {
 
     const countryData: CountryOverviewData = new CountryOverviewData();
@@ -153,6 +236,22 @@
         datasetsIndicator.total = Number(series.series.result[0].row[2]);
         europeData.datasets = datasetsIndicator;
 
+      } else if (series.series.query.name === 'new.oso.software.oa_percentage') {
+
+        const softwareIndicator: Indicator = new Indicator();
+        softwareIndicator.percentage = Number(series.series.result[0].row[0]);
+        softwareIndicator.oa = Number(series.series.result[0].row[1]);
+        softwareIndicator.total = Number(series.series.result[0].row[2]);
+        europeData.software = softwareIndicator;
+
+      } else if (series.series.query.name === 'new.oso.other.oa_percentage') {
+
+        const otherIndicator: Indicator = new Indicator();
+        otherIndicator.percentage = Number(series.series.result[0].row[0]);
+        otherIndicator.oa = Number(series.series.result[0].row[1]);
+        otherIndicator.total = Number(series.series.result[0].row[2]);
+        europeData.other = otherIndicator;
+
       } else if (series.series.query.name === 'new.oso.repositories.doar_re3data.validated') {
 
         const repositoriesIndicator: Indicator = new Indicator();
@@ -322,6 +421,262 @@
     return tableData;
   }
 
+  public convertRawDataToPercentageTableData(rawData: RawData) {
+
+    const mapTableData: Map<string, CountryTableData> = new Map();
+
+    for (const series of rawData.datasets) {
+
+      if (series.series.query.name.includes('new.oso.results')
+        && series.series.query.parameters && series.series.query.parameters[0] === 'publication') {
+        for (const rowResult of series.series.result) {
+
+          // remove unwanted countries
+          if (this.isCountryToBeRemoved(rowResult.row[4])) {
+            continue;
+          }
+
+          if (mapTableData.has(rowResult.row[4])) {
+            const countryTableData = mapTableData.get(rowResult.row[4]);
+            if (rowResult.row[0] !== 'NaN') {
+              countryTableData.publications = Number(rowResult.row[0]);
+            }
+          } else {
+            const countryTableData: CountryTableData = new CountryTableData();
+            if (rowResult.row[0] !== 'NaN') {
+              countryTableData.publications = Number(rowResult.row[0]);
+            }
+            countryTableData.name = rowResult.row[3];
+            countryTableData.code = rowResult.row[4];
+            mapTableData.set(rowResult.row[4], countryTableData);
+          }
+        }
+
+      } else if (series.series.query.name.includes('new.oso.results')
+        && series.series.query.parameters && series.series.query.parameters[0] === 'dataset') {
+
+        for (const rowResult of series.series.result) {
+
+          // remove unwanted countries
+          if (this.isCountryToBeRemoved(rowResult.row[4])) {
+            continue;
+          }
+
+          if (mapTableData.has(rowResult.row[4])) {
+            const countryTableData = mapTableData.get(rowResult.row[4]);
+            if (rowResult.row[0] !== 'NaN') {
+              countryTableData.datasets = Number(rowResult.row[0]);
+            }
+          } else {
+            const countryTableData: CountryTableData = new CountryTableData();
+            if (rowResult.row[0] !== 'NaN') {
+              countryTableData.datasets = Number(rowResult.row[0]);
+            }
+            countryTableData.name = rowResult.row[3];
+            countryTableData.code = rowResult.row[4];
+            mapTableData.set(rowResult.row[4], countryTableData);
+          }
+        }
+      } else if (series.series.query.name.includes('new.oso.results')
+        && series.series.query.parameters && series.series.query.parameters[0] === 'software') {
+
+        for (const rowResult of series.series.result) {
+
+          // remove unwanted countries
+          if (this.isCountryToBeRemoved(rowResult.row[4])) {
+            continue;
+          }
+
+          if (mapTableData.has(rowResult.row[4])) {
+            const countryTableData = mapTableData.get(rowResult.row[4]);
+            if (rowResult.row[0] !== 'NaN') {
+              countryTableData.software = Number(rowResult.row[0]);
+            }
+          } else {
+            const countryTableData: CountryTableData = new CountryTableData();
+            if (rowResult.row[0] !== 'NaN') {
+              countryTableData.software = Number(rowResult.row[0]);
+            }
+            countryTableData.name = rowResult.row[3];
+            countryTableData.code = rowResult.row[4];
+            mapTableData.set(rowResult.row[4], countryTableData);
+          }
+        }
+      } else if (series.series.query.name.includes('new.oso.results')
+        && series.series.query.parameters && series.series.query.parameters[0] === 'other') {
+
+        for (const rowResult of series.series.result) {
+
+          // remove unwanted countries
+          if (this.isCountryToBeRemoved(rowResult.row[4])) {
+            continue;
+          }
+
+          if (mapTableData.has(rowResult.row[4])) {
+            const countryTableData = mapTableData.get(rowResult.row[4]);
+            if (rowResult.row[0] !== 'NaN') {
+              countryTableData.other = Number(rowResult.row[0]);
+            }
+          } else {
+            const countryTableData: CountryTableData = new CountryTableData();
+            if (rowResult.row[0] !== 'NaN') {
+              countryTableData.other = Number(rowResult.row[0]);
+            }
+            countryTableData.name = rowResult.row[3];
+            countryTableData.code = rowResult.row[4];
+            mapTableData.set(rowResult.row[4], countryTableData);
+          }
+        }
+      } else if (series.series.query.name.includes('new.oso.repositories')) {
+
+        for (const rowResult of series.series.result) {
+
+          // remove unwanted countries
+          if (this.isCountryToBeRemoved(rowResult.row[4])) {
+            continue;
+          }
+
+          if (mapTableData.has(rowResult.row[4])) {
+            const countryTableData = mapTableData.get(rowResult.row[4]);
+            countryTableData.repositories = Number(rowResult.row[0]);
+          } else {
+            const countryTableData: CountryTableData = new CountryTableData();
+            countryTableData.repositories = Number(rowResult.row[0]);
+            countryTableData.name = rowResult.row[3];
+            countryTableData.code = rowResult.row[4];
+            mapTableData.set(rowResult.row[4], countryTableData);
+          }
+        }
+      } else if (series.series.query.name.includes('new.oso.journals')) {
+
+        for (const rowResult of series.series.result) {
+
+          // remove unwanted countries
+          if (this.isCountryToBeRemoved(rowResult.row[4])) {
+            continue;
+          }
+
+          if (mapTableData.has(rowResult.row[4])) {
+            const countryTableData = mapTableData.get(rowResult.row[4]);
+            countryTableData.journals = Number(rowResult.row[0]);
+          } else {
+            const countryTableData: CountryTableData = new CountryTableData();
+            countryTableData.journals = Number(rowResult.row[0]);
+            countryTableData.name = rowResult.row[3];
+            countryTableData.code = rowResult.row[4];
+            mapTableData.set(rowResult.row[4], countryTableData);
+          }
+        }
+      }
+    }
+
+    const tableData: CountryTableData[] = [];
+
+    mapTableData.forEach((value: CountryTableData, key: string) => {
+      // console.log(key, value);
+      tableData.push(value);
+    });
+
+    return tableData;
+  }
+
+  public convertRawDataToCountryPageOverviewData(rawData: RawData) {
+
+    const countryPageOverviewData: CountryPageOverviewData = new CountryPageOverviewData();
+
+    for (const series of rawData.datasets) {
+
+      if ((series.series.query.name === 'new.oso.results.oa_percentage.country')
+        && series.series.query.parameters && series.series.query.parameters[0] === 'publication') {
+
+        countryPageOverviewData.name = series.series.result[0].row[3];
+        countryPageOverviewData.code = series.series.result[0].row[4];
+
+        const publicationsAffiliatedIndicator: Indicator = new Indicator();
+        publicationsAffiliatedIndicator.percentage = Number(series.series.result[0].row[0]);
+        publicationsAffiliatedIndicator.oa = Number(series.series.result[0].row[1]);
+        publicationsAffiliatedIndicator.total = Number(series.series.result[0].row[2]);
+        countryPageOverviewData.publicationsAffiliated = publicationsAffiliatedIndicator;
+
+      } else if ((series.series.query.name === 'new.oso.results.oa_percentage.deposited.country')
+        && series.series.query.parameters && series.series.query.parameters[0] === 'publication') {
+
+        countryPageOverviewData.name = series.series.result[0].row[3];
+        countryPageOverviewData.code = series.series.result[0].row[4];
+
+        const publicationsDepositedIndicator: Indicator = new Indicator();
+        publicationsDepositedIndicator.percentage = Number(series.series.result[0].row[0]);
+        publicationsDepositedIndicator.oa = Number(series.series.result[0].row[1]);
+        publicationsDepositedIndicator.total = Number(series.series.result[0].row[2]);
+        countryPageOverviewData.publicationsDeposited = publicationsDepositedIndicator;
+
+      } if ((series.series.query.name === 'new.oso.results.oa_percentage.country')
+        && series.series.query.parameters && series.series.query.parameters[0] === 'dataset') {
+
+        countryPageOverviewData.name = series.series.result[0].row[3];
+        countryPageOverviewData.code = series.series.result[0].row[4];
+
+        const datasetsAffiliatedIndicator: Indicator = new Indicator();
+        datasetsAffiliatedIndicator.percentage = Number(series.series.result[0].row[0]);
+        datasetsAffiliatedIndicator.oa = Number(series.series.result[0].row[1]);
+        datasetsAffiliatedIndicator.total = Number(series.series.result[0].row[2]);
+        countryPageOverviewData.datasetsAffiliated = datasetsAffiliatedIndicator;
+
+      } else if ((series.series.query.name === 'new.oso.results.oa_percentage.deposited.country')
+        && series.series.query.parameters && series.series.query.parameters[0] === 'dataset') {
+
+        countryPageOverviewData.name = series.series.result[0].row[3];
+        countryPageOverviewData.code = series.series.result[0].row[4];
+
+        const datasetsDepositedIndicator: Indicator = new Indicator();
+        datasetsDepositedIndicator.percentage = Number(series.series.result[0].row[0]);
+        datasetsDepositedIndicator.oa = Number(series.series.result[0].row[1]);
+        datasetsDepositedIndicator.total = Number(series.series.result[0].row[2]);
+        countryPageOverviewData.datasetsDeposited = datasetsDepositedIndicator;
+
+      } else if (series.series.query.name === 'new.oso.repositories.doar_re3data.validated.country') {
+
+        countryPageOverviewData.name = series.series.result[0].row[3];
+        countryPageOverviewData.code = series.series.result[0].row[4];
+
+        const repositoriesIndicator: Indicator = new Indicator();
+        repositoriesIndicator.percentage = Number(series.series.result[0].row[0]);
+        repositoriesIndicator.oa = Number(series.series.result[0].row[1]);
+        repositoriesIndicator.total = Number(series.series.result[0].row[2]);
+        countryPageOverviewData.repositories = repositoriesIndicator;
+
+      } else if (series.series.query.name === 'new.oso.journals.doaj.validated.country') {
+
+        countryPageOverviewData.name = series.series.result[0].row[3];
+        countryPageOverviewData.code = series.series.result[0].row[4];
+
+        const journalsIndicator: Indicator = new Indicator();
+        journalsIndicator.percentage = Number(series.series.result[0].row[0]);
+        journalsIndicator.oa = Number(series.series.result[0].row[1]);
+        journalsIndicator.total = Number(series.series.result[0].row[2]);
+        countryPageOverviewData.journals = journalsIndicator;
+
+      } else if (series.series.query.name === 'new.oso.oa_policies.country') {
+
+        countryPageOverviewData.policies = Number(series.series.result[0].row[0]);
+
+      } else if (series.series.query.name === 'new.oso.funder.country') {
+
+        countryPageOverviewData.funders = Number(series.series.result[0].row[0]);
+
+      } else if (series.series.query.name === 'new.oso.funding_organizations.country') {
+
+        countryPageOverviewData.fundingOrganizations = Number(series.series.result[0].row[0]);
+
+      } else if (series.series.query.name === 'new.oso.ec_funded_organizations.country') {
+
+        countryPageOverviewData.ec_fundedOrganizations = Number(series.series.result[0].row[0]);
+      }
+    }
+
+    return countryPageOverviewData;
+  }
+
   private rawResultToCountryMapData(result: Row[]) {
 
     const entityMapData: CountryMapData[] = [];
Index: modules/open-science-observatory-ui/trunk/src/app/domain/raw-data.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/domain/raw-data.ts	(revision 58852)
+++ modules/open-science-observatory-ui/trunk/src/app/domain/raw-data.ts	(revision 58853)
@@ -13,7 +13,7 @@
 
 export class Query {
   name: string;
-  parameters: string;
+  parameters: string[];
   filters: string;
   select: string;
   entity: string;
Index: modules/open-science-observatory-ui/trunk/src/app/domain/overview-map-data.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/domain/overview-map-data.ts	(revision 58852)
+++ modules/open-science-observatory-ui/trunk/src/app/domain/overview-map-data.ts	(revision 58853)
@@ -19,6 +19,9 @@
   countryCode: string;
   affiliated: number;
   deposited: number;
+  doar_re3data: number;
+  doaj: number;
+  simple: number;
 }
 
 export class SelectedCountry {
@@ -41,6 +44,8 @@
 export class EuropeData {
   publications: Indicator;
   datasets: Indicator;
+  software: Indicator;
+  other: Indicator;
   repositories: Indicator;
   journals: Indicator;
   policies: Indicator;
@@ -57,3 +62,18 @@
   journals: number = null;
   policies: number = null;
 }
+
+export class CountryPageOverviewData {
+  name: string = null;
+  code: string = null;
+  publicationsAffiliated: Indicator;
+  publicationsDeposited: Indicator ;
+  datasetsAffiliated: Indicator;
+  datasetsDeposited: Indicator;
+  repositories: Indicator;
+  journals: Indicator;
+  policies: number = null;
+  funders: number = null;
+  fundingOrganizations: number = null;
+  ec_fundedOrganizations: number = null;
+}
Index: modules/open-science-observatory-ui/trunk/src/app/app-routing.module.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/app-routing.module.ts	(revision 58852)
+++ modules/open-science-observatory-ui/trunk/src/app/app-routing.module.ts	(revision 58853)
@@ -25,7 +25,7 @@
     component: ContinentOverviewComponent
   },
   {
-    path: 'countryDashboard/:countryName',
+    path: 'countryDashboard/:countryCode',
     component: CountryPageComponent
   },
   {
